package main

import (
	"os"
	"time"

	"gioui.org/app"
	"github.com/rs/zerolog/log"
)

var t time.Time

func main() {
	window := new(app.Window)
	var err error
	t, err = time.Parse(time.RFC3339, "2025-01-31T22:50:00Z")
	if err != nil {
		log.Fatal().Err(err).Send()
	}
	go func() {
		// window.Option(func(m unit.Metric, c *app.Config) {
		// 	c.Size = image.Pt(500, 150)
		// 	c.MaxSize = image.Pt(500, 150)
		// 	c.MinSize = image.Pt(500, 150)
		// })
		err := run(window, &StateEnterTime{})
		if err != nil {
			log.Fatal().Err(err).Msg("Failed to run main window")
		}
		os.Exit(0)
	}()
	app.Main()
}
